Skip to main content

Version: 21.11 (EOL)

POST Query Property Name

Return a list of distinct Property Names associated with the portal, filtered on specified criteria. The result is ordered alphabetically by name.

Request​

HTTP request​

POST https://<JM_SERVER>/workspaces/secure/api/v1/property-name/query

Request body​

The POST request must contain a JSON structure describing the property name query. To support multiple parameters, this API uses HTTP Content Type: application/json.

The available query attributes are listed below. All attributes are optional except where otherwise indicated.

AttributeDescription
clientCodeString
Filter category to those associated with this client code.
fetchLimitInteger (Default: 10000)
Required. Specify the query fetch limit; that is, the maximum number of results returned.
Values: In the range 1 - 10,000. Values greater than 10,000 are reduced to 10,000.
Note: This attribute is used in conjunction with fetchOffset to determine which results are returned.
fetchOffsetInteger (Default: 0)
Specify the query fetch offset.
Note: This attribute is used in conjunction with fetchLimit to determine which results are returned.
formCodesSet
Filter categories by forms with the form codes specified in this set.
caution

If you specify an invalid attribute, a 400 Bad Request HTTP status code is returned.

Response​

If successful, this operation returns a response with a HTTP 200 OK status code.

Error messages​

Error keyErrorHTTP status code
illegalArgumentPlease see Error Log ID {number}400 Bad Request
internalErrorPlease see Error Log ID {number}500 Internal Server Error
unableToResolvePortalUnable to resolve portal from request400 Bad Request

Error responses​

HTTP status codeDescription
400 Bad RequestBad request or request parameter. Check error message for details.
404 Not FoundEnsure the URL endpoint is entered correctly.
500 Internal Server ErrorException occurred in property name query. Contact administrator.

Example​

Ensure you specify Content-Type: application/json.

Example request
POST /workspaces/secure/api/v1/property-name/query HTTP/1.1
Host: https://transact.workspaces.com
Content-Type: application/json

{
"fetchLimit": 100,
"formCodes": ["tstloanapplication"],
"clientCode": "workspace"
}
Example successful response
{
"fetchLimit": 100,
"fetchOffset": 0,
"durationMs": 48,
"result": [
"Calling codes",
"Capital",
"Country Name",
"Native name",
"Population",
"Region"
]
}